Subject: Re: [PATCH] better git-submodule status output

From: Sylvain Joyeux <[email-masked]>
Date: Tue, 8 Jul 2008 14:22:44 +0200

> > What I was missing is, given the current discussion, a git-submodule 
> > fetch alike to what Avery was proposing, which fetches all submodules in 
> > one command. Having to do the fetch/update manually for each submodule 
> > is really cumbersome -- I have around 30 modules in the superproject.
> 
> Did I not suggest "git submodule update" earlier?  AFAIR this updates all 
> submodules that have been initialized.

... and checkouts the commit registered in the superproject. Therefore
neither git-submodule status nor git-submodule summary can give an idea
of "what's new in submodules"

Sylvain